Package org.apache.wiki.auth.login

## Class WebContainerCallbackHandler

- java.lang.Object
- - org.apache.wiki.auth.login.WebContainerCallbackHandler

All Implemented Interfaces:
  `javax.security.auth.callback.CallbackHandler`

    public final class WebContainerCallbackHandler
    extends java.lang.Object
    implements javax.security.auth.callback.CallbackHandler

Handles logins made from within JSPWiki.

Since:
  2.3
See Also:
  `SessionSPI.find(Engine, HttpServletRequest)`

### Constructor Summary

Constructors
`WebContainerCallbackHandler​(Engine engine, javax.servlet.http.HttpServletRequest request)` Create a new handler.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle​(javax.security.auth.callback.Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebContainerCallbackHandler

    public WebContainerCallbackHandler​(Engine engine,
                                       javax.servlet.http.HttpServletRequest request)

Create a new handler.

Parameters:
  `engine` - The Engine
  `request` - The request to look into

### Method Detail

#### handle

    public void handle​(javax.security.auth.callback.Callback[] callbacks)
                throws java.io.IOException,
                       javax.security.auth.callback.UnsupportedCallbackException

Specified by:
  `handle` in interface `javax.security.auth.callback.CallbackHandler`
Throws:
  `java.io.IOException`
  `javax.security.auth.callback.UnsupportedCallbackException`
See Also:
  `CallbackHandler.handle(javax.security.auth.callback.Callback[])`